package com.junmp.jyzb.api.bean.req.PrintReq;

import lombok.Data;

@Data
public class LoginV2Req {
    private String username;
    private String password;
    private Boolean rememberMe = false;
    private Boolean createCookie = false;
    private Long tenantId;
    private String verifyKey;
    private String verifyCode;

    public LoginV2Req() {
    }

    public String getUsername() {
        return this.username;
    }

    public String getPassword() {
        return this.password;
    }

    public Boolean getRememberMe() {
        return this.rememberMe;
    }

    public Boolean getCreateCookie() {
        return this.createCookie;
    }

    public Long getTenantId() {
        return this.tenantId;
    }

    public String getVerifyKey() {
        return this.verifyKey;
    }

    public String getVerifyCode() {
        return this.verifyCode;
    }

    public void setUsername(final String username) {
        this.username = username;
    }

    public void setPassword(final String password) {
        this.password = password;
    }

    public void setRememberMe(final Boolean rememberMe) {
        this.rememberMe = rememberMe;
    }

    public void setCreateCookie(final Boolean createCookie) {
        this.createCookie = createCookie;
    }

    public void setTenantId(final Long tenantId) {
        this.tenantId = tenantId;
    }

    public void setVerifyKey(final String verifyKey) {
        this.verifyKey = verifyKey;
    }

    public void setVerifyCode(final String verifyCode) {
        this.verifyCode = verifyCode;
    }

    public boolean equals(final Object o) {
        if (o == this) {
            return true;
        } else if (!(o instanceof LoginV2Req)) {
            return false;
        } else {
            LoginV2Req other = (LoginV2Req)o;
            if (!other.canEqual(this)) {
                return false;
            } else {
                label95: {
                    Object this$rememberMe = this.getRememberMe();
                    Object other$rememberMe = other.getRememberMe();
                    if (this$rememberMe == null) {
                        if (other$rememberMe == null) {
                            break label95;
                        }
                    } else if (this$rememberMe.equals(other$rememberMe)) {
                        break label95;
                    }

                    return false;
                }

                Object this$createCookie = this.getCreateCookie();
                Object other$createCookie = other.getCreateCookie();
                if (this$createCookie == null) {
                    if (other$createCookie != null) {
                        return false;
                    }
                } else if (!this$createCookie.equals(other$createCookie)) {
                    return false;
                }

                Object this$tenantId = this.getTenantId();
                Object other$tenantId = other.getTenantId();
                if (this$tenantId == null) {
                    if (other$tenantId != null) {
                        return false;
                    }
                } else if (!this$tenantId.equals(other$tenantId)) {
                    return false;
                }

                label74: {
                    Object this$username = this.getUsername();
                    Object other$username = other.getUsername();
                    if (this$username == null) {
                        if (other$username == null) {
                            break label74;
                        }
                    } else if (this$username.equals(other$username)) {
                        break label74;
                    }

                    return false;
                }

                label67: {
                    Object this$password = this.getPassword();
                    Object other$password = other.getPassword();
                    if (this$password == null) {
                        if (other$password == null) {
                            break label67;
                        }
                    } else if (this$password.equals(other$password)) {
                        break label67;
                    }

                    return false;
                }

                Object this$verifyKey = this.getVerifyKey();
                Object other$verifyKey = other.getVerifyKey();
                if (this$verifyKey == null) {
                    if (other$verifyKey != null) {
                        return false;
                    }
                } else if (!this$verifyKey.equals(other$verifyKey)) {
                    return false;
                }

                Object this$verifyCode = this.getVerifyCode();
                Object other$verifyCode = other.getVerifyCode();
                if (this$verifyCode == null) {
                    if (other$verifyCode != null) {
                        return false;
                    }
                } else if (!this$verifyCode.equals(other$verifyCode)) {
                    return false;
                }

                return true;
            }
        }
    }

    protected boolean canEqual(final Object other) {
        return other instanceof LoginV2Req;
    }

    public int hashCode() {
        int result = 1;
        Object $rememberMe = this.getRememberMe();
        result = result * 59 + ($rememberMe == null ? 43 : $rememberMe.hashCode());
        Object $createCookie = this.getCreateCookie();
        result = result * 59 + ($createCookie == null ? 43 : $createCookie.hashCode());
        Object $tenantId = this.getTenantId();
        result = result * 59 + ($tenantId == null ? 43 : $tenantId.hashCode());
        Object $username = this.getUsername();
        result = result * 59 + ($username == null ? 43 : $username.hashCode());
        Object $password = this.getPassword();
        result = result * 59 + ($password == null ? 43 : $password.hashCode());
        Object $verifyKey = this.getVerifyKey();
        result = result * 59 + ($verifyKey == null ? 43 : $verifyKey.hashCode());
        Object $verifyCode = this.getVerifyCode();
        result = result * 59 + ($verifyCode == null ? 43 : $verifyCode.hashCode());
        return result;
    }

    public String toString() {
        return "LoginReq(username=" + this.getUsername() + ", password=" + this.getPassword() + ", rememberMe=" + this.getRememberMe() + ", createCookie=" + this.getCreateCookie() + ", tenantId=" + this.getTenantId() + ", verifyKey=" + this.getVerifyKey() + ", verifyCode=" + this.getVerifyCode() + ")";
    }
}
